Index: media/ui/CharOverview01.layout
===================================================================
--- media/ui/CharOverview01.layout	(revision 603)
+++ media/ui/CharOverview01.layout	(working copy)
@@ -2,7 +2,7 @@
 <MyGUI type="Layout">
     <Widget type="StaticImage" skin="StaticImage" position_real="0 0 1 1" align="Stretch" layer="Back" name="ImageBackg">
         <Property key="Image_Texture" value="MainMenuBack.png"/>
-        <Property key="Widget_Show" value="true"/>
+        <Property key="Widget_Visible" value="true"/>
         <Property key="Widget_Enabled" value="false"/>
     </Widget>
     <Widget type="Widget" skin="Panel" position_real="0.149414 0.148438 0.65918 0.658854" layer="Main" name="PanelCharacter">
Index: media/ui/CharOverview02.layout
===================================================================
--- media/ui/CharOverview02.layout	(revision 603)
+++ media/ui/CharOverview02.layout	(working copy)
@@ -2,7 +2,7 @@
 <MyGUI type="Layout">
     <Widget type="StaticImage" skin="StaticImage" position_real="0 0 1 1" align="Stretch" layer="Back" name="ImageBackg">
         <Property key="Image_Texture" value="MainMenuBack.png"/>
-        <Property key="Widget_Show" value="true"/>
+        <Property key="Widget_Visible" value="true"/>
         <Property key="Widget_Enabled" value="false"/>
     </Widget>
     <Widget type="Widget" skin="Panel" position_real="0.1 0.1 0.8 0.8" layer="Main" name="PanelCharacter">
Index: media/ui/MainMenu.layout
===================================================================
--- media/ui/MainMenu.layout	(revision 603)
+++ media/ui/MainMenu.layout	(working copy)
@@ -28,6 +28,6 @@
     </Widget>
     <Widget type="StaticImage" skin="StaticImage" position_real="0 0 1 1" align="Stretch" layer="Back">
         <Property key="Image_Texture" value="MainMenuBack.png"/>
-        <Property key="Widget_Show" value="true"/>
+        <Property key="Widget_Visible" value="true"/>
     </Widget>
 </MyGUI>
Index: media/ui/Paused.layout
===================================================================
--- media/ui/Paused.layout	(revision 603)
+++ media/ui/Paused.layout	(working copy)
@@ -2,19 +2,22 @@
 <MyGUI type="Layout">
     <Widget type="StaticImage" skin="StaticImage" position_real="0.329102 0.158854 0.329102 0.658854" layer="Main">
         <Property key="Image_Texture" value="MessageBoxBack.png"/>
-        <Property key="Widget_Show" value="true"/>
+        <Property key="Widget_Visible" value="true"/>
         <Widget type="Button" skin="Button" position_real="0.246291 0.0988142 0.477745 0.0790514" name="ButtonResume">
             <Property key="Widget_Caption" value="Resume game"/>
+            <Property key="Widget_Visible" value="true"/>
         </Widget>
         <Widget type="Button" skin="Button" position_real="0.246291 0.310277 0.477745 0.0790514" name="ButtonExit">
             <Property key="Widget_Caption" value="Quit game"/>
+            <Property key="Widget_Visible" value="true"/>
         </Widget>
         <Widget type="Button" skin="Button" position_real="0.249258 0.199605 0.47181 0.083004"  name="ButtonConfig">
             <Property key="Widget_Caption" value="Options"/>
+            <Property key="Widget_Visible" value="true"/>
         </Widget>
     </Widget>
     <Widget type="StaticImage" skin="StaticImage" position_real="0 0 1 1" align="Stretch" layer="Back">
         <Property key="Image_Texture" value="darkblue_t.png"/>
-        <Property key="Widget_Show" value="true"/>
+        <Property key="Widget_Visible" value="true"/>
     </Widget>
 </MyGUI>
Index: media/ui/MessageBox.layout
===================================================================
--- media/ui/MessageBox.layout	(revision 603)
+++ media/ui/MessageBox.layout	(working copy)
@@ -2,13 +2,13 @@
 <MyGUI type="Layout">
     <Widget type="StaticImage" skin="StaticImage" position_real="0.299805 0.0494792 0.399414 0.89974" layer="Main" name="Panel01">
         <Property key="Image_Texture" value="MessageBoxBack.png"/>
-        <Property key="Widget_Show" value="true"/>
+        <Property key="Widget_Visible" value="true"/>
         <Widget type="Edit" skin="WordWrapSimple" position_real="0.0953545 0.0781476 0.819071 0.0593343" layer="Main" name="Text01">
             <Property key="Widget_Caption" value="Insert blabla here"/>
             <Property key="Edit_ReadOnly" value="true"/>
             <Property key="Edit_WordWrap" value="true"/>
             <Property key="Edit_MultiLine" value="true"/>
-            <Property key="Widget_Colour" value="#000000"/>
+            <Property key="Text_TextColour" value="#000000"/>
         </Widget>
         <Widget type="Button" skin="Button" position_real="0.246944 0.163531 0.528117 0.0564399" name="Button00">
             <Property key="Widget_Caption" value="Button 00"/>
@@ -49,6 +49,6 @@
     </Widget>
     <Widget type="StaticImage" skin="StaticImage" position_real="0 0 1 1" align="Stretch" layer="Back">
         <Property key="Image_Texture" value="darkblue_t.png"/>
-        <Property key="Widget_Show" value="true"/>
+        <Property key="Widget_Visible" value="true"/>
     </Widget>
 </MyGUI>
Index: cmake/FindMYGUI.cmake
===================================================================
--- cmake/FindMYGUI.cmake	(revision 603)
+++ cmake/FindMYGUI.cmake	(working copy)
@@ -41,6 +41,7 @@
     IF (MYGUI_INCLUDE_DIRS)
         SET(MYGUI_INCLUDE_DIR ${MYGUI_INCLUDE_DIRS})
         SET(MYGUI_LIB_DIR ${MYGUI_LIBDIR})
+        SET(MYGUI_PLUGIN_DIR ${MYGUI_LIBDIR}/MYGUI)
         SET(MYGUI_LIBRARIES ${MYGUI_LIBRARIES} CACHE STRING "")
     ELSE (MYGUI_INCLUDE_DIRS)
         FIND_PATH(MYGUI_INCLUDE_DIR MyGUI.h PATHS /usr/local/include /usr/include PATH_SUFFIXES MyGUI MYGUI)
Index: src/GuiConsole.h
===================================================================
--- src/GuiConsole.h	(revision 603)
+++ src/GuiConsole.h	(working copy)
@@ -38,16 +38,16 @@
     virtual void unregisterEvents() {};
 
     void loadHistory();
-    void addHistory(const Ogre::UTFString& cmd);
+    void addHistory(const MyGUI::UString& cmd);
     void clearHistory();
 
-    void processCommand(const Ogre::UTFString& cmd);
+    void processCommand(const MyGUI::UString& cmd);
 
     bool m_resumeRequested, m_quitRequested;
     string m_script;
     string m_command;
 
-    static vector<Ogre::UTFString> m_commands;
+    static vector<MyGUI::UString> m_commands;
     static string m_history;
 
     MyGUI::EditPtr     m_listHistory;
Index: src/GameState.h
===================================================================
--- src/GameState.h	(revision 603)
+++ src/GameState.h	(working copy)
@@ -4,7 +4,7 @@
 #ifndef GameState_H
 #define GameState_H
 
-#include <OISEvents.h>
+#include <OIS/OISEvents.h>
 #include "GameManager.h"
 
 
Index: src/scripting/CMakeLists.txt
===================================================================
--- src/scripting/CMakeLists.txt	(revision 603)
+++ src/scripting/CMakeLists.txt	(working copy)
@@ -3,6 +3,7 @@
 include_directories("..")
 include_directories("../myguiWrapper")
 include_directories(${PYTHON_INCLUDE_PATH})
+include_directories(${OGRE_INCLUDE_DIR})
 include_directories(${MYGUI_INCLUDE_DIR})
 include_directories(${OIS_INCLUDE_DIR})
 include_directories("../btogre/include")
Index: src/GuiConsole.cpp
===================================================================
--- src/GuiConsole.cpp	(revision 603)
+++ src/GuiConsole.cpp	(working copy)
@@ -6,7 +6,7 @@
 
 
 // We keep the list of typed commands between 2 console calls
-vector<Ogre::UTFString> GuiConsole::m_commands;
+vector<MyGUI::UString> GuiConsole::m_commands;
 string GuiConsole::m_history;
 
 
@@ -25,8 +25,8 @@
 void GuiConsole::loadLayout()
 {
     m_widgets = LayoutManager::getInstance().load("Console.layout");
-    m_listHistory   = WidgetManager::getInstancePtr()->findWidget<Edit>("ListHistory");
-    m_comboCommand  = WidgetManager::getInstancePtr()->findWidget<ComboBox>("ComboCommand");
+    m_listHistory   = m_gui->getGui()->findWidget<Edit>("ListHistory");
+    m_comboCommand  = m_gui->getGui()->findWidget<ComboBox>("ComboCommand");
     loadHistory();
     m_gui->showPointer();
     InputManager::getInstance().setKeyFocusWidget(m_comboCommand);
@@ -49,7 +49,7 @@
 */
 void GuiConsole::registerEvents()
 {
-    WindowPtr windowConsole = WidgetManager::getInstancePtr()->findWidget<Window>("WindowConsole");
+    WindowPtr windowConsole = m_gui->getGui()->findWidget<Window>("WindowConsole");
     windowConsole->eventWindowButtonPressed = newDelegate(this, &GuiConsole::close);
 
     assignButton("ButtonSubmit", this, &GuiConsole::submit);
@@ -62,7 +62,7 @@
 */
 void GuiConsole::loadHistory()
 {
-    for (vector<Ogre::UTFString>::iterator iter = m_commands.begin(); iter != m_commands.end(); iter++)
+    for (vector<MyGUI::UString>::iterator iter = m_commands.begin(); iter != m_commands.end(); iter++)
     {
         m_comboCommand->addItem(*iter);
     }
@@ -73,7 +73,7 @@
 /**
     Add a new command to history
 */
-void GuiConsole::addHistory(const Ogre::UTFString& cmd)
+void GuiConsole::addHistory(const MyGUI::UString& cmd)
 {
     m_commands.push_back(cmd);
 
@@ -97,7 +97,7 @@
 */
 void GuiConsole::clearHistory()
 {
-    m_comboCommand->deleteAllItems();
+    m_comboCommand->removeAllItems();
     m_listHistory->setCaption("");
     m_commands.clear();
     m_history.clear();
@@ -134,7 +134,7 @@
 /**
     Execute a command
 */
-void GuiConsole::processCommand(const Ogre::UTFString& cmd)
+void GuiConsole::processCommand(const MyGUI::UString& cmd)
 {
     bool ok = false;
 
Index: src/GameManager.h
===================================================================
--- src/GameManager.h	(revision 603)
+++ src/GameManager.h	(working copy)
@@ -5,6 +5,8 @@
 #include <vector>
 #include <OgreSingleton.h>
 #include <OgreSceneManager.h>
+#include <OgreFrameListener.h>
+
 #include "InputManager.h"
 
 
Index: src/GuiState.h
===================================================================
--- src/GuiState.h	(revision 603)
+++ src/GuiState.h	(working copy)
@@ -2,7 +2,6 @@
 #define GuiState_H
 
 #include <string>
-#include <OgreString.h>
 #include <OIS/OISEvents.h>
 #include "GameState.h"
 
Index: src/GuiHUD.cpp
===================================================================
--- src/GuiHUD.cpp	(revision 603)
+++ src/GuiHUD.cpp	(working copy)
@@ -28,28 +28,27 @@
 void GuiHUD::loadLayout()
 {
     m_widgets = LayoutManager::getInstance().load("HUD.layout");
-    WidgetManager::getInstance().findWidget<StaticText>("TextDebug")->setColour(Colour::Red);
+    m_gui->getGui()->findWidget<StaticText>("TextDebug")->setTextColour(Colour::Red);
     clearWeapon();
     m_gui->hidePointer();
     if (!m_showStats)
     {
-        WidgetManager::getInstance().findWidget<StaticText>("TextStats")->setVisible(false);
+        m_gui->getGui()->findWidget<StaticText>("TextStats")->setVisible(false);
     }
 }
 
 
 void GuiHUD::update()
 {
-    WidgetManager* wmgr = WidgetManager::getInstancePtr();
-    StaticImagePtr healthBar =      wmgr->findWidget<StaticImage>("BarHealth");
-    StaticImagePtr healthBarOpp =   wmgr->findWidget<StaticImage>("BarHealthOpp");
-    StaticImagePtr magicBar =       wmgr->findWidget<StaticImage>("BarMagica");
-    StaticImagePtr magicBarOpp =    wmgr->findWidget<StaticImage>("BarMagicaOpp");
-    StaticImagePtr fatigueBar =     wmgr->findWidget<StaticImage>("BarStamina");
-    StaticImagePtr fatigueBarOpp =  wmgr->findWidget<StaticImage>("BarStaminaOpp");
-    StaticTextPtr debugText =       wmgr->findWidget<StaticText>("TextDebug");
-    StaticTextPtr infoText =        wmgr->findWidget<StaticText>("TextInfo");
-    StaticTextPtr statsText =       wmgr->findWidget<StaticText>("TextStats");
+    StaticImagePtr healthBar =      m_gui->getGui()->findWidget<StaticImage>("BarHealth");
+    StaticImagePtr healthBarOpp =   m_gui->getGui()->findWidget<StaticImage>("BarHealthOpp");
+    StaticImagePtr magicBar =       m_gui->getGui()->findWidget<StaticImage>("BarMagica");
+    StaticImagePtr magicBarOpp =    m_gui->getGui()->findWidget<StaticImage>("BarMagicaOpp");
+    StaticImagePtr fatigueBar =     m_gui->getGui()->findWidget<StaticImage>("BarStamina");
+    StaticImagePtr fatigueBarOpp =  m_gui->getGui()->findWidget<StaticImage>("BarStaminaOpp");
+    StaticTextPtr debugText =       m_gui->getGui()->findWidget<StaticText>("TextDebug");
+    StaticTextPtr infoText =        m_gui->getGui()->findWidget<StaticText>("TextInfo");
+    StaticTextPtr statsText =       m_gui->getGui()->findWidget<StaticText>("TextStats");
 
     debugText->setCaption(m_debug);
     infoText->setCaption(m_info);
@@ -89,7 +88,7 @@
 
     if (m_oldweapon != m_weapon)
     {
-        StaticImagePtr weapon = wmgr->findWidget<StaticImage>("ImageWeapon");
+        StaticImagePtr weapon = m_gui->getGui()->findWidget<StaticImage>("ImageWeapon");
         if (m_weapon != "")
         {
             weapon->setImageTexture(m_weapon);
@@ -104,7 +103,7 @@
 
     if (m_oldspell != m_spell)
     {
-        StaticImagePtr spell = wmgr->findWidget<StaticImage>("ImageSpell");
+        StaticImagePtr spell = m_gui->getGui()->findWidget<StaticImage>("ImageSpell");
         if (m_spell != "")
         {
             spell->setImageTexture(m_spell);
Index: src/GuiPaused.cpp
===================================================================
--- src/GuiPaused.cpp	(revision 603)
+++ src/GuiPaused.cpp	(working copy)
@@ -18,14 +18,15 @@
 {
     m_widgets = LayoutManager::getInstance().load("Paused.layout");
     m_gui->showPointer();
+    
 
     Config* config = Config::getSingletonPtr();
     if(!config->get<int>("enableGuiConfig"))
     {
-        MyGUI::WidgetManager* wmgr = MyGUI::WidgetManager::getInstancePtr();
-        MyGUI::WidgetPtr wdg = wmgr->findWidgetT("ButtonConfig");
+        MyGUI::WidgetPtr wdg = m_gui->getGui()->findWidget<MyGUI::Button>("ButtonConfig");
         wdg->setVisible(false);
     }
+
 }
 
 
Index: src/InputManager.h
===================================================================
--- src/InputManager.h	(revision 603)
+++ src/InputManager.h	(working copy)
@@ -6,6 +6,7 @@
 #include <OIS/OISJoyStick.h>
 #include <OIS/OISInputManager.h>
 #include <OgreRenderWindow.h>
+#include <OgrePrerequisites.h>
 
 class InputManager : public OIS::KeyListener, public OIS::MouseListener, public OIS::JoyStickListener {
 public:
Index: src/GuiDialogue.cpp
===================================================================
--- src/GuiDialogue.cpp	(revision 603)
+++ src/GuiDialogue.cpp	(working copy)
@@ -24,8 +24,8 @@
 void GuiDialogue::loadLayout()
 {
     m_widgets = LayoutManager::getInstance().load("dialogue.layout");
-    m_outputText = WidgetManager::getInstancePtr()->findWidget<Edit>("outputText");
-    m_responseList = WidgetManager::getInstancePtr()->findWidget<List>("responseList");
+    m_outputText = m_gui->findWidget<Edit>("outputText");
+    m_responseList = m_gui->findWidget<List>("responseList");
     m_gui->showPointer();
 }
 
Index: src/GameManager.cpp
===================================================================
--- src/GameManager.cpp	(revision 603)
+++ src/GameManager.cpp	(working copy)
@@ -96,7 +96,7 @@
 
     m_entityMgr = EntityManager::getSingletonPtr();
 
-    m_gui = new UiManager(win);
+    m_gui = new UiManager(win, m_sceneMgr);
     m_gui->initialize();
 
     changeState(state);
Index: src/myguiWrapper/UiManager.cpp
===================================================================
--- src/myguiWrapper/UiManager.cpp	(revision 603)
+++ src/myguiWrapper/UiManager.cpp	(working copy)
@@ -4,8 +4,9 @@
 
 template<> UiManager* Ogre::Singleton<UiManager>::ms_Singleton = 0;
 
-UiManager::UiManager(Ogre::RenderWindow* window)
+UiManager::UiManager(Ogre::RenderWindow* window, Ogre::SceneManager* scene)
     : m_renderWindow(window),
+    m_sceneManager(scene),
     m_gui(0)
 {
 }
@@ -16,13 +17,24 @@
     {
         m_gui->shutdown();
         delete m_gui;
+        m_gui = 0;
     }
+    if(m_platform)
+    {
+        m_platform->shutdown();
+        delete m_platform;
+        m_platform = 0;
+    }
 }
 
 void UiManager::initialize()
 {
+    m_platform = new MyGUI::OgrePlatform();
+    // m_renderWindow is Ogre::RenderWindow* where you want to render MyGUI
+    m_platform->initialise(m_renderWindow, m_sceneManager); 
+    m_platform->getRenderManagerPtr()->setActiveViewport(0);
     m_gui = new MyGUI::Gui();
-    m_gui->initialise(m_renderWindow, "core.xml");
+    m_gui->initialise("core.xml");
 }
 
 #if 0
@@ -78,7 +90,7 @@
 {
     if(m_gui)
     {
-        m_gui->injectKeyPress(arg);
+        m_gui->injectKeyPress(MyGUI::KeyCode::Enum(arg.key), arg.text);
     }
 }
 
@@ -86,14 +98,14 @@
 {
     if(m_gui)
     {
-        m_gui->injectKeyRelease(arg);
+	m_gui->injectKeyRelease(MyGUI::KeyCode::Enum(arg.key));
     }
 }
 void UiManager::injectMouseMove(const OIS::MouseEvent& arg)
 {
     if(m_gui)
     {
-        m_gui->injectMouseMove(arg);
+        m_gui->injectMouseMove(arg.state.X.abs, arg.state.Y.abs, arg.state.Z.abs);
     }
 }
 
@@ -101,7 +113,7 @@
 {
     if(m_gui)
     {
-        m_gui->injectMousePress(arg, id);
+        m_gui->injectMousePress(arg.state.X.abs, arg.state.Y.abs, MyGUI::MouseButton::Enum(id));
     }
 }
 
@@ -109,7 +121,7 @@
 {
     if(m_gui)
     {
-        m_gui->injectMouseRelease(arg, id);
+        m_gui->injectMouseRelease(arg.state.X.abs, arg.state.Y.abs, MyGUI::MouseButton::Enum(id));
     }
 }
 
Index: src/myguiWrapper/UiManager.h
===================================================================
--- src/myguiWrapper/UiManager.h	(revision 603)
+++ src/myguiWrapper/UiManager.h	(working copy)
@@ -2,7 +2,11 @@
 #define UIMANAGER_H_
 
 #include <MyGUI_Gui.h>
+#include <MyGUI_OgrePlatform.h>
+#include <OIS/OISMouse.h>
+#include <OIS/OISKeyboard.h>
 #include <OgreSingleton.h>
+#include <OgreStringVector.h>
 
 /**
     UI Manager class: abstraction of the GUI framework
@@ -13,7 +17,7 @@
     /**
         Constructor
     */
-    UiManager(Ogre::RenderWindow* window);
+    UiManager(Ogre::RenderWindow* window, Ogre::SceneManager* scene);
 
     /**
         Destructor
@@ -30,6 +34,11 @@
     MyGUI::Gui* getGui() { return m_gui; }
 
     /**
+        Accessor
+    */
+    MyGUI::OgrePlatform* getOgrePlatform() { return m_platform; }
+
+    /**
         Initialize the manager
     */
     void initialize();
@@ -50,8 +59,8 @@
     void injectMouseRelease(const OIS::MouseEvent& arg, OIS::MouseButtonID id);
 
     /* Pointer management */
-    void showPointer() { m_gui->showPointer(); }
-    void hidePointer() { m_gui->hidePointer(); }
+    void showPointer() { m_gui->setVisiblePointer(true); }
+    void hidePointer() { m_gui->setVisiblePointer(false); }
 
     /**
         Widget accessor
@@ -101,7 +110,9 @@
 
     UiModList m_uiMods;                     /// List of UIMODs
     Ogre::RenderWindow* m_renderWindow;     /// Render window
+    Ogre::SceneManager* m_sceneManager;     /// Scene manager
     MyGUI::Gui* m_gui;                      /// GUI framework instance
+    MyGUI::OgrePlatform* m_platform;        /// GUI OGRE platform
 };
 
 #endif
Index: src/GuiMessagebox.cpp
===================================================================
--- src/GuiMessagebox.cpp	(revision 603)
+++ src/GuiMessagebox.cpp	(working copy)
@@ -33,10 +33,8 @@
     const float buttonShiftFactor = 1.3f;
     float guiScale = (float) ( GameManager::getSingletonPtr()->getWindow()->getWidth() ) / 640.0f;
 
-    WidgetManager* wmgr = WidgetManager::getInstancePtr();
-
     // Scale font according to resolution
-    EditPtr txt = wmgr->findWidget<Edit>("Text01");
+    EditPtr txt = m_gui->getGui()->findWidget<Edit>("Text01");
     int fntHeight = txt->getFontHeight();
     txt->setFontHeight( (int) ((float)fntHeight * guiScale) );
     txt->setCaption(m_messageCaption);
@@ -55,11 +53,11 @@
     txtsz.height = (int) ( (float)txtsz.height * (float)height );
     txt->setSize(txtsz);
 
-    ButtonPtr but0 = wmgr->findWidget<Button>("Button00");
+    ButtonPtr but0 = m_gui->getGui()->findWidget<Button>("Button00");
     int butHeight = but0->getSize().height;
 
     // Adjust panel size according to length of text and number of buttons
-    WidgetPtr pan = wmgr->findWidget<Widget>("Panel01");
+    WidgetPtr pan = m_gui->getGui()->findWidget<Widget>("Panel01");
     IntSize pansz = pan->getSize();
     pansz.width = (int) ((float)txtsz.width * textPanelRatio);
     pansz.height = butHeight * ( buttonSlotsReserve + height + (m_numOptions * guiScale / buttonShiftFactor) );
@@ -84,7 +82,7 @@
         id[0] = '0' + i/10;
         id[1] = '0' + i%10;
         buttonName = buttonPrefix + id;
-        ButtonPtr but = wmgr->findWidget<Button>(buttonName);
+        ButtonPtr but = m_gui->getGui()->findWidget<Button>(buttonName);
         IntPoint butps = but->getPosition();
         butps.left = (pansz.width / 2) - (but->getWidth() / 2);
         butps.top += (int) ( (float)(txtsz.height - oldHeight) / buttonShiftFactor );
Index: src/GuiDialogue.h
===================================================================
--- src/GuiDialogue.h	(revision 603)
+++ src/GuiDialogue.h	(working copy)
@@ -37,7 +37,7 @@
 private:
     MyGUI::EditPtr m_outputText;
     MyGUI::ListPtr m_responseList;
-    Ogre::UTFString m_dialogue; // All dialogue that has already been spoken
+    MyGUI::UString m_dialogue; // All dialogue that has already been spoken
 };
 
 #endif // GUIDIALOGUE_H
Index: src/GuiConfig.cpp
===================================================================
--- src/GuiConfig.cpp	(revision 603)
+++ src/GuiConfig.cpp	(working copy)
@@ -40,18 +40,16 @@
 */
 void GuiConfig::registerEvents()
 {
-    MyGUI::WidgetManager* wmgr = MyGUI::WidgetManager::getInstancePtr();
-
-    MyGUI::HScroll* ambvol = wmgr->findWidget<MyGUI::HScroll>("SliderAudAmbient");
+    MyGUI::HScroll* ambvol = m_gui->getGui()->findWidget<MyGUI::HScroll>("SliderAudAmbient");
     ambvol->eventScrollChangePosition = MyGUI::newDelegate(this, &GuiConfig::onChangeVolume);
 
-    MyGUI::HScroll* musvol = wmgr->findWidget<MyGUI::HScroll>("SliderAudMusic");
+    MyGUI::HScroll* musvol = m_gui->getGui()->findWidget<MyGUI::HScroll>("SliderAudMusic");
     musvol->eventScrollChangePosition = MyGUI::newDelegate(this, &GuiConfig::onChangeVolume);
 
-    MyGUI::HScroll* pspd = wmgr->findWidget<MyGUI::HScroll>("SliderPlaySpeed");
+    MyGUI::HScroll* pspd = m_gui->getGui()->findWidget<MyGUI::HScroll>("SliderPlaySpeed");
     pspd->eventScrollChangePosition = MyGUI::newDelegate(this, &GuiConfig::onChangeSpeed);
 
-    MyGUI::HScroll* pgrv = wmgr->findWidget<MyGUI::HScroll>("SliderPlayGravity");
+    MyGUI::HScroll* pgrv = m_gui->getGui()->findWidget<MyGUI::HScroll>("SliderPlayGravity");
     pgrv->eventScrollChangePosition = MyGUI::newDelegate(this, &GuiConfig::onChangeGravity);
 }
 
@@ -62,31 +60,30 @@
 void GuiConfig::update()
 {
     Config* config = Config::getSingletonPtr();
-    MyGUI::WidgetManager* wmgr = MyGUI::WidgetManager::getInstancePtr();
 
     try {
-        MyGUI::HScroll* speed = wmgr->findWidget<MyGUI::HScroll>("SliderPlaySpeed");
+        MyGUI::HScroll* speed = m_gui->getGui()->findWidget<MyGUI::HScroll>("SliderPlaySpeed");
         speed->setScrollRange(21);
         //speed->setScrollPosition( static_cast<int>( config->getFloat("speed") ) );
         speed->setScrollPosition(config->get<int>("dayScale", 0.8f));
 
-        MyGUI::HScroll* gravity = wmgr->findWidget<MyGUI::HScroll>("SliderPlayGravity");
+        MyGUI::HScroll* gravity = m_gui->getGui()->findWidget<MyGUI::HScroll>("SliderPlayGravity");
         gravity->setScrollRange(1001);
         gravity->setScrollPosition(config->get<float>("gravity", 192.913f));
 
-        MyGUI::Button* grass = wmgr->findWidget<MyGUI::Button>("CheckGraGrass");
+        MyGUI::Button* grass = m_gui->getGui()->findWidget<MyGUI::Button>("CheckGraGrass");
         if(config->get<int>("doGrass", 1) == 1)
             grass->setButtonPressed(true);
 
-        MyGUI::Button* reflect = wmgr->findWidget<MyGUI::Button>("CheckGraReflect");
+        MyGUI::Button* reflect = m_gui->getGui()->findWidget<MyGUI::Button>("CheckGraReflect");
         if(config->get<int>("doWaterReflection", 1) == 1)
             reflect->setButtonPressed(true);
 
-        MyGUI::HScroll* ambvol = wmgr->findWidget<MyGUI::HScroll>("SliderAudAmbient");
+        MyGUI::HScroll* ambvol = m_gui->getGui()->findWidget<MyGUI::HScroll>("SliderAudAmbient");
         ambvol->setScrollRange(11);
         ambvol->setScrollPosition(config->get<float>("ambientVolume", 1.0f) * 10.0);
 
-        MyGUI::HScroll* musvol = wmgr->findWidget<MyGUI::HScroll>("SliderAudMusic");
+        MyGUI::HScroll* musvol = m_gui->getGui()->findWidget<MyGUI::HScroll>("SliderAudMusic");
         musvol->setScrollRange(11);
         musvol->setScrollPosition(config->get<float>("musicVolume", 1.0f) * 10.0);
 
@@ -117,12 +114,12 @@
         }
         */
 
-        MyGUI::HScroll* mssx = wmgr->findWidget<MyGUI::HScroll>("SliderMouSensX");
+        MyGUI::HScroll* mssx = m_gui->getGui()->findWidget<MyGUI::HScroll>("SliderMouSensX");
         mssx->setScrollRange(11);
-        MyGUI::HScroll* mssy = wmgr->findWidget<MyGUI::HScroll>("SliderMouSensY");
+        MyGUI::HScroll* mssy = m_gui->getGui()->findWidget<MyGUI::HScroll>("SliderMouSensY");
         mssy->setScrollRange(11);
 
-        MyGUI::Button* msinv = wmgr->findWidget<MyGUI::Button>("CheckMouInvert");
+        //MyGUI::Button* msinv = m_gui->getGui()->findWidget<MyGUI::Button>("CheckMouInvert");
     }
     catch(...)
     {
Index: src/MainmenuState.cpp
===================================================================
--- src/MainmenuState.cpp	(revision 603)
+++ src/MainmenuState.cpp	(working copy)
@@ -49,7 +49,7 @@
 void MainmenuState::resume()
 {
     /* For test only: normally we never resume to this state */
-    MyGUI::LayerManager::getInstance().setSceneManager(m_sceneMgr);
+    m_GUI->getOgrePlatform()->getRenderManagerPtr()->setSceneManager(m_sceneMgr);
     updateMenuState();
 }
 
Index: src/CMakeLists.txt
===================================================================
--- src/CMakeLists.txt	(revision 603)
+++ src/CMakeLists.txt	(working copy)
@@ -5,7 +5,7 @@
 
 link_directories(${OGRE_LIB_DIR} ${OGREPG_LIB_DIR} ${OIS_LIB_DIR} ${MYGUI_LIB_DIR}
     ${OPENAL_LIB_DIR} ${ALURE_LIB_DIR} ${BULLET_LIB_DIR} ${PYTHON_LIB_DIR}
-    ${YAML_CPP_LIB_DIR})
+    ${YAML_CPP_LIB_DIR} ${MYGUI_PLUGIN_DIR})
 
 set(cxx_main_files
     Actor.cpp
@@ -126,7 +126,7 @@
 
     add_custom_command(
         OUTPUT DungeonHack.h.gch
-        COMMAND ${CMAKE_CXX_COMPILER} ${GCH_FLAGS} -c DungeonHack.h -o DungeonHack.h.gch
+        COMMAND ${CMAKE_CXX_COMPILER} ${GCH_FLAGS} -x c++-header -c DungeonHack.h -o DungeonHack.h.gch
     )
     set_source_files_properties(${cxx_main_files} PROPERTIES
         OBJECT_DEPENDS "src/DungeonHack.h.gch"
